curl --request GET \
--url https://{defaultHost}/v1/product_groups/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/product_groups/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/product_groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "002b5bfe-bc74-42af-a9c9-7f5f4efe7fe0",
"object": "product_group",
"archived": false,
"archived_at": null,
"metadata": {},
"name": "Membership - V1",
"purchase_limit": null,
"created_at": 1787228428,
"updated_at": 1787228428
}Retrieve
Retrieves details of a specific product group.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Success
The UUID of the specific object.
A string describing the object type returned.
Whether or not this product group is archived.
The product group’s name, meant to be displayable to the customer.
The max number of times the product group can be purchased by a customer. If null, then unlimited purchases are allowed.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Time at which the object was archived. Measured in seconds since the Unix epoch.
Expandable – Property not returned unless expanded.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?